Skip to main content
GET
/
v1
/
downstream-entity-associations
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/downstream-entity-associations
{
  "data": [
    {
      "_id": "<string>",
      "downstreamEntity": {
        "_id": "<string>",
        "isNpnRequired": true,
        "legalName": "<string>",
        "category": "<string>",
        "npn": "<string>",
        "ein": "<string>"
      },
      "niprDataSubscription": {
        "dataOwnerId": "<string>",
        "dataOwnerModel": "<string>",
        "entityModel": "<string>",
        "entityInfo": {
          "status": "<string>",
          "jobId": "<string>",
          "message": "<string>",
          "rawEntityInfoId": "<string>"
        },
        "npn": "<string>",
        "lastSynchronizationDate": "2023-11-07T05:31:56Z",
        "pdbAlertsSubscriptionStatus": "<string>",
        "pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
      },
      "producerCode": "<string>",
      "externalId": "<string>"
    }
  ],
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns all downstream entity associations linked to your upstream entity.

Query Parameters

downstreamEntityNpn
string

Downstream entity National Producer Number (NPN). Mutually exclusive with licenseNumber/stateCode, emailDomain, and email.

Example:

"12345678"

licenseNumber
string

Downstream entity license number. Must be provided together with stateCode. Mutually exclusive with downstreamEntityNpn, emailDomain, and email.

Example:

"ABC123456"

stateCode
string

State code. Must be provided together with licenseNumber. Mutually exclusive with downstreamEntityNpn, emailDomain, and email.

Example:

"CA"

emailDomain
string

Email domain to filter downstream entity associations by contact email. Mutually exclusive with downstreamEntityNpn, licenseNumber/stateCode, and email.

Example:

"example.com"

email
string

Exact email address to filter downstream entity associations by contact email. Mutually exclusive with downstreamEntityNpn, licenseNumber/stateCode, and emailDomain.

Example:

"john.doe@example.com"

Response

List of downstream entity associations

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"